package cc.winboll.studio.winboll;

/**
 * @Author ZhanGSKen<zhangsken@188.com>
 * @Date 2025/05/22 13:08
 */
import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;
import androidx.annotation.Nullable;
import androidx.appcompat.widget.Toolbar;

public class CustomToolbar extends Toolbar {

    private View viewMain;

    public CustomToolbar(Context context) {
        this(context, null);
    }

    public CustomToolbar(Context context, @Nullable AttributeSet attrs) {
        this(context, attrs, 0);
    }

    public CustomToolbar(Context context, @Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        initView(context, attrs);
    }

    private void initView(Context context, AttributeSet attrs) {
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.CustomToolbar);

        // 获取属性值
        String toolbarTitle = typedArray.getString(R.styleable.CustomToolbar_toolbarTitle);
        int toolbarTitleColor = typedArray.getColor(R.styleable.CustomToolbar_toolbarTitleColor, android.graphics.Color.WHITE);
        int toolbarBackgroundColor = typedArray.getColor(R.styleable.CustomToolbar_toolbarBackgroundColor, android.graphics.Color.BLUE);

        // 加载布局
        viewMain = LayoutInflater.from(context).inflate(R.layout.view_toolbar, this, true);

        // 应用属性值
        TextView toolbarTitleTextView = viewMain.findViewById(R.id.toolbar_title);
        toolbarTitleTextView.setText(toolbarTitle);
        toolbarTitleTextView.setTextColor(toolbarTitleColor);
        viewMain.setBackgroundColor(toolbarBackgroundColor);

        // 释放 TypedArray
        typedArray.recycle();
    }
}
